/*
 *  Licensed to the Apache Software Foundation (ASF) under one
 *  or more contributor license agreements.  See the NOTICE file
 *  distributed with this work for additional information
 *  regarding copyright ownership.  The ASF licenses this file
 *  to you under the Apache License, Version 2.0 (the
 *  "License"); you may not use this file except in compliance
 *  with the License.  You may obtain a copy of the License at
 *
 *       http://www.apache.org/licenses/LICENSE-2.0
 *
 *  Unless required by applicable law or agreed to in writing, software
 *  distributed under the License is distributed on an "AS IS" BASIS,
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the License for the specific language governing permissions and
 *  limitations under the License.
 */
package org.apache.polygene.gradle.structure

import groovy.transform.CompileStatic
import org.apache.polygene.gradle.TaskGroups
import org.gradle.api.Project
import org.gradle.api.Task

@CompileStatic
class ProjectGroupTasks
{
  static void configureProjectGroupTasks( String projectGroup, Project project )
  {
    project.tasks.create( "check${ projectGroup.capitalize() }" ) { Task task ->
      task.group = TaskGroups.VERIFICATION
      task.description = "Runs the $projectGroup checks"
      task.dependsOn( project.tasks.getByName( "check" ) )
    }
  }
}
