/*
 *  Licensed to the Apache Software Foundation (ASF) under one
 *  or more contributor license agreements.  See the NOTICE file
 *  distributed with this work for additional information
 *  regarding copyright ownership.  The ASF licenses this file
 *  to you under the Apache License, Version 2.0 (the
 *  "License"); you may not use this file except in compliance
 *  with the License.  You may obtain a copy of the License at
 *
 *       http://www.apache.org/licenses/LICENSE-2.0
 *
 *  Unless required by applicable law or agreed to in writing, software
 *  distributed under the License is distributed on an "AS IS" BASIS,
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the License for the specific language governing permissions and
 *  limitations under the License.
 *
 *
 */

package org.apache.polygene.migration.assembly;

import java.io.IOException;
import org.apache.polygene.migration.Migrator;
import org.apache.polygene.spi.entitystore.helpers.StateStore;

/**
 * Non-entity specific migration operation. These operations
 * may perform anything necessary to migrate the application. This
 * could include performing disk operations and other non-entity related
 * tasks.
 */
public interface MigrationOperation
{
    void upgrade( StateStore stateStore, Migrator migrator )
        throws IOException;

    void downgrade( StateStore stateStore, Migrator migrator )
        throws IOException;
}